matrix:
  platform:
  - debian11
  - ubuntu2204
  - macos
  - macos_arm64
  - windows
  bazel:
  - 9.x
  - 8.x
  - 7.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
    - '@phtree-cpp//:phtree'
bcr_test_module:
  module_path: ''
  matrix:
    platform:
    - debian11
    - ubuntu2204
    - macos
    - macos_arm64
    bazel:
    - 9.x
    - 8.x
    - 7.x
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
      - '@phtree-cpp//test/...'
      test_targets:
      - '@phtree-cpp//test/...'
